Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.laf
Class OverlayProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  org.pentaho.di.laf.OverlayProperties

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>, Handler, PropertyHandler

    public class OverlayProperties

extends Properties
implements PropertyHandler

See Also:
  Serialized Form

Constructor Summary
`OverlayProperties(String file)`

Method Summary
`boolean` | `exists(String filename)` check to see whether a property file exists within the classpath or filesystem
`String` | `getName()`
`boolean` | `load(String filename)` cleanse and reload the property file
`boolean` | `loadProps(String filename)` load properties for the given properties file

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pentaho.di.laf.PropertyHandler
`getProperty, getProperty`

Constructor Detail

### OverlayProperties

    public OverlayProperties(String file)
                      throws IOException

Throws:
  `IOException`

Method Detail

### exists

    public boolean exists(String filename)

  Description copied from interface: `PropertyHandler`
  check to see whether a property file exists within the classpath or filesystem

  Specified by:
    `exists` in interface `PropertyHandler`
  Returns:
    true if resource exists

### loadProps

    public boolean loadProps(String filename)

  Description copied from interface: `PropertyHandler`
  load properties for the given properties file

  Specified by:
    `loadProps` in interface `PropertyHandler`
  Returns:
    true if load was successful

### load

    public boolean load(String filename)
                 throws IOException

  cleanse and reload the property file

  Parameters:
    `filename` -
  Returns:
  Throws:
    `IOException`

### getName

    public String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD